Paramètres de l'API SERP Bing
GET https://serp.shifter.io/v1?engine=bing&api_key=YOUR_API_KEY&q=<query>
Paramètres
Section intitulée « Paramètres »| Paramètre | Type | Obligatoire | Description |
|---|---|---|---|
api_key | string | oui | Votre clé API SERP |
engine | string | oui | Doit être bing |
q | string | oui | Requête de recherche |
location | string | non | Localisation libre (par exemple "London, England") |
cc | Code ISO | non | Filtre pays/région |
setLang | locale | non | Langue de l’interface (par exemple en-US, de-DE) |
device | desktop | mobile | non | Appareil simulé (par défaut desktop) |
first | integer | non | Décalage des résultats pour la pagination |
count | integer | non | Résultats par page (par défaut 10) |
safe_search | Off | Moderate | Strict | non | Niveau de SafeSearch |
Exemples
Section intitulée « Exemples »Recherche localisée en allemand :
curl "https://serp.shifter.io/v1?engine=bing&api_key=YOUR_API_KEY&q=haus+kaufen&cc=DE&setLang=de-DE"Pagination SERP mobile (10 résultats suivants) :
curl "https://serp.shifter.io/v1?engine=bing&api_key=YOUR_API_KEY&q=best+laptops&device=mobile&first=11"